services:
  umami:
    image: ghcr.io/umami-software/umami:${PANEL_DB_TYPE}-v2.20.2
    container_name: ${CONTAINER_NAME}
    restart: always
    labels:
      createdBy: "Apps"
    ports:
      - ${PANEL_APP_PORT_HTTP}:3000
    environment:
      DATABASE_TYPE: ${PANEL_DB_TYPE}
      DATABASE_URL: ${PANEL_DB_TYPE}://${PANEL_DB_USER}:${PANEL_DB_USER_PASSWORD}@${PANEL_DB_HOST}:${PANEL_DB_PORT}/${PANEL_DB_NAME}
      APP_SECRET: ${HASH_SALT}
    networks:
      - 1panel-network
networks:
  1panel-network:
    external: true